var FormUtils = {
	activate: function() {
		for (var i = 0; i < arguments.length; i++) {
			var arg = arguments[i];
			this.setDisabled(arg, false);
		}
	},
	inactivate: function() {
		for (var i = 0; i < arguments.length; i++) {
			var arg = arguments[i];
			this.setDisabled(arg, true);
		}
	},
	setDisabled: function(arg, disabled) {
		if (arg instanceof Array) {
			for (var i = 0; i < arg.length; i++) {
				this.setDisabled(arg[i], disabled);
			}
		}
		else {
			var list = [];
			var form = null;
			if (typeof arg == 'string') {
				form = document.getElementById(arg);
			}
			else {
				form = arg;
			}
			if (form != null) {
				for (var i = 0; i < this.TAG_NAMES.length; i++) {
					var elms = form.getElementsByTagName(this.TAG_NAMES[i]);
					for (var j = 0; j < elms.length; j++) {
						list.push(elms[j]);
					}
				}
				list.push(form);
			}
			for (var i = 0; i < list.length; i++) {
				var item = list[i];
				if (disabled) {
					this.doInactivate(item);
				}
				else {
					this.doActivate(item);
				}
			}
		}
	},
	doActivate: function(elm) {
		elm.disabled = false;
	},
	doInactivate: function(elm) {
		elm.disabled = true;
	}
};
FormUtils.TAG_NAMES = [
	'div', 'input', 'textarea', 'select', 'label', 
	'button', 'legend', 'fieldset', 'form'
];
